#include "version.h"

bool checkVersion (const QString &v)
{
	// returns true, if vym is able to read file regarding 
	// the version set with setVersion
	QString s1=v.section (".",0,0);
	QString s2=v.section (".",1,1);
	QString s3=v.section (".",2,2);
	bool ok;
	int vv1 =QString(__VYM_VERSION).section (".",0,0).toInt(&ok,10);
	int vv2 =QString(__VYM_VERSION).section (".",1,1).toInt(&ok,10);
	int vv3 =QString(__VYM_VERSION).section (".",2,2).toInt(&ok,10);
	int mv1=0;
	int mv2=0;
	int mv3=0;
	if (!s1.isEmpty() ) mv1=s1.toInt(&ok,10);
	if (!s2.isEmpty() ) mv2=s2.toInt(&ok,10);
	if (!s3.isEmpty() ) mv3=s3.toInt(&ok,10);
	
	if (vv1 > mv1)
		return true;
	if (vv1 < mv1)
		return false;
	if (vv2 > mv2)
		return true;
	if (vv2 < mv2)
		return false;
	if (vv3 > mv3)
		return true;
	if (vv3 < mv3)
		return false;
	return true;	

}
